std::complex< double > Struct Reference
Numerics » Complex Numbers

`#include <complex>`

## Public Types

typedef __complex__ double | _ComplexT
typedef double | value_type

## Public Member Functions

constexpr | complex (_ComplexT __z)
constexpr | complex (const complex< float > &__z)
constexpr | complex (const complex< long double > &)
constexpr | complex (double __r=0.0, double __i=0.0)
| __attribute ((__abi_tag__("cxx11"))) const expr double imag() const
| __attribute ((__abi_tag__("cxx11"))) const expr double real() const
constexpr _ComplexT | __rep () const
_GLIBCXX20_CONSTEXPR void | imag (double __val)
template<typename _Tp >
_GLIBCXX20_CONSTEXPR complex & | operator*= (const complex< _Tp > &__z)
_GLIBCXX20_CONSTEXPR complex & | operator*= (double __d)
template<typename _Tp >
_GLIBCXX20_CONSTEXPR complex & | operator+= (const complex< _Tp > &__z)
_GLIBCXX20_CONSTEXPR complex & | operator+= (double __d)
template<typename _Tp >
_GLIBCXX20_CONSTEXPR complex & | operator-= (const complex< _Tp > &__z)
_GLIBCXX20_CONSTEXPR complex & | operator-= (double __d)
template<typename _Tp >
_GLIBCXX20_CONSTEXPR complex & | operator/= (const complex< _Tp > &__z)
_GLIBCXX20_CONSTEXPR complex & | operator/= (double __d)
_GLIBCXX14_CONSTEXPR complex & | operator= (const complex &)=default
template<typename _Tp >
_GLIBCXX20_CONSTEXPR complex & | operator= (const complex< _Tp > &__z)
_GLIBCXX20_CONSTEXPR complex & | operator= (double __d)
_GLIBCXX20_CONSTEXPR void | real (double __val)

## Detailed Description

26.2.3 complex specializations complex<double> specialization

Definition at line 1225 of file complex.

## Member Typedef Documentation

## _ComplexT

typedef __complex__ double std::complex< double >::_ComplexT

Definition at line 1228 of file complex.

## value_type

typedef double std::complex< double >::value_type

Definition at line 1227 of file complex.

## Constructor & Destructor Documentation

## complex() [1/3]

constexpr std::complex< double >::complex | ( | _ComplexT | __z | ) |

inline constexpr

Definition at line 1230 of file complex.

## complex() [2/3]

constexpr std::complex< double >::complex | ( | double | __r = `0.0`,
|  | double | __i = `0.0`
| ) |  |

inline constexpr

Definition at line 1232 of file complex.

## complex() [3/3]

constexpr std::complex< double >::complex | ( | const complex< float > & | __z | ) |

inline constexpr

Definition at line 1242 of file complex.

## Member Function Documentation

## __attribute() [1/2]

std::complex< double >::__attribute | ( | (__abi_tag__("cxx11")) |  | ) | const

inline

Definition at line 1254 of file complex.

## __attribute() [2/2]

std::complex< double >::__attribute | ( | (__abi_tag__("cxx11")) |  | ) | const

inline

Definition at line 1250 of file complex.

## __rep()

constexpr _ComplexT std::complex< double >::__rep | ( |  | ) | const

inline constexpr

Definition at line 1361 of file complex.

## imag()

_GLIBCXX20_CONSTEXPR void std::complex< double >::imag | ( | double | __val | ) |

inline

Definition at line 1277 of file complex.

## operator*=() [1/2]

template<typename _Tp >

_GLIBCXX20_CONSTEXPR complex & std::complex< double >::operator*= | ( | const complex< _Tp > & | __z | ) |

inline

Definition at line 1345 of file complex.

## operator*=() [2/2]

_GLIBCXX20_CONSTEXPR complex & std::complex< double >::operator*= | ( | double | __d | ) |

inline

Definition at line 1301 of file complex.

## operator+=() [1/2]

template<typename _Tp >

_GLIBCXX20_CONSTEXPR complex & std::complex< double >::operator+= | ( | const complex< _Tp > & | __z | ) |

inline

Definition at line 1329 of file complex.

## operator+=() [2/2]

_GLIBCXX20_CONSTEXPR complex & std::complex< double >::operator+= | ( | double | __d | ) |

inline

Definition at line 1287 of file complex.

## operator-=() [1/2]

template<typename _Tp >

_GLIBCXX20_CONSTEXPR complex & std::complex< double >::operator-= | ( | const complex< _Tp > & | __z | ) |

inline

Definition at line 1337 of file complex.

## operator-=() [2/2]

_GLIBCXX20_CONSTEXPR complex & std::complex< double >::operator-= | ( | double | __d | ) |

inline

Definition at line 1294 of file complex.

## operator/=() [1/2]

template<typename _Tp >

_GLIBCXX20_CONSTEXPR complex & std::complex< double >::operator/= | ( | const complex< _Tp > & | __z | ) |

inline

Definition at line 1354 of file complex.

## operator/=() [2/2]

_GLIBCXX20_CONSTEXPR complex & std::complex< double >::operator/= | ( | double | __d | ) |

inline

Definition at line 1308 of file complex.

## operator=() [1/2]

template<typename _Tp >

_GLIBCXX20_CONSTEXPR complex & std::complex< double >::operator= | ( | const complex< _Tp > & | __z | ) |

inline

Definition at line 1321 of file complex.

## operator=() [2/2]

_GLIBCXX20_CONSTEXPR complex & std::complex< double >::operator= | ( | double | __d | ) |

inline

Definition at line 1280 of file complex.

## real()

_GLIBCXX20_CONSTEXPR void std::complex< double >::real | ( | double | __val | ) |

inline

Definition at line 1274 of file complex.

The documentation for this struct was generated from the following file:

- complex